function OnWarpEnter()

	SetMarker("cs\\Warp_0025.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0037.wp" , 0 , 0)

	-- musique
	Music_Change = false

--DAY4
	if ETAT_DAY == "D4" then 
		StartAnimationPart("nlbn",0,75,1,true)
		RatW35 = true
	end
end

function OnWarpLeave()
	if Music_Change then
		-- Musique
		Music_Change = false
		PlayMusic("Sounds/Musiques/M_Day1.ogg")
	end
end

function OnAnimationFinished(objectName)

	-- Couiiiic petit rat 
	if objectName == "nlbn" and RatW35 then
		PlaySound("Sounds/SFX/E_nn_rat2.ogg",1)
		StartAnimationPart("nlbn",76,130,1,true)
		RatW35 = false
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0025.wp" then 
		Music_Change = true		
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0037.wp" then 
		ChangeWarp(objectName)
	end

end
